
# letsencrypt

Installs the needed packages and creates the cronjob for the renewal of certificates.






#### Table of Contents

1. [Description](#description)
2. [Setup - The basics of getting started with letsencrypt](#setup)
    * [What letsencrypt affects](#what-letsencrypt-affects)
    * [Setup requirements](#setup-requirements)
    * [Beginning with letsencrypt](#beginning-with-letsencrypt)

## Description

Lets puppet renew Let's Encrypt Certificates on a weekly basis.

This module installs the needed packages for certbot. It creates a cronjob to do a weekly renew run on Sunday morning 4 a.m.


## Setup

### What letsencrypt affects 

This module checks for the osfamily (RedHat and Debian).
It yums, apts or gits the certbot package.
After this it creates a cronjob to run a renew every Sunday at 4am.


### Setup Requirements 

On RedHat family, the EPEL repository is needed.

### Beginning with letsencrypt

include letsencrypt

